#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# _player_setup.mcfunction | Runs all commands needed for first time player setup.
#                          | Called by 'xiphias:_run_every_second'
#
# Special thanks to MSpaceDev. I pulled apart the 'Player Graves' data pack to understand how functions do.
# MSpaceDev | https://www.youtube.com/c/MinecraftSpace
#

# First map load, commands to just run once
execute unless score SirSecondTick xph_run_once matches 1 run function xiphias:_run_once

# Initialize Scoreboard Values
scoreboard players set @s xph_math_20 20
scoreboard players set @s xph_math_60 60
scoreboard players set @s xph_math_1200 1200
scoreboard players set @s xph_math_72000 72000
scoreboard players set @s xph_math_5 5
scoreboard players set @s xph_time_ticks 0
scoreboard players set @s xph_time_hours 0
scoreboard players set @s xph_time_minutes 0
scoreboard players set @s xph_time_seconds 0
scoreboard players set @s xph_ded 0
scoreboard players set @s xph_jump 0
scoreboard players set @s xph_mob 0
scoreboard players set @s xph_table 0
scoreboard players set @s xph_time 0

# Join Player Team
team join players @a

# Welcome Message
tellraw @s ["",{"text":"Welcome to "},{"text":"Xiphias","color":"aqua","hoverEvent":{"action":"show_text","value":"zif-\u0113-\u0259s"}},{"text":". Thanks for playing!\nTo get started, check your "},{"text":"Advancments","color":"gold","hoverEvent":{"action":"show_text","value":"Default key [l], Recommended key [r]"}},{"text":" and "},{"text":"Recipe Book","color":"green","hoverEvent":{"action":"show_text","value":"Opened with the Book button in every crafting window."}},{"text":".\n\n1) Advancements unlock recipes & earn rewards.\n2) Dye and shear sheep for Monument wool.\n3) Play on Easy or higher difficulty.\n4) Do not change dimensions.\n5) Do not harm sheep.\n6) Play alone or with a friend!"}]

# Give starting recipes
execute as @s run function xiphias:misc/give_starting_recipies

# Only run once per player.
tag @s add setup

# END OF LINE.